package com.moovapps.sample.navigation.providers.view;

import com.moovapps.workplace.impl.navigation.providers.view.ExternalUserAdminViewProvider;

import com.axemble.vdoc.directory.domain.User;
import com.axemble.vdoc.sdk.interfaces.runtime.INavigateContext;
import com.axemble.vdp.ui.framework.composites.base.CtlAbstractView;
import com.axemble.vdp.ui.framework.composites.base.models.views.ViewModelItem;
public class SampleExternalUserAdminViewProvider extends ExternalUserAdminViewProvider {
	
	public SampleExternalUserAdminViewProvider(INavigateContext context, CtlAbstractView view) {
		super(context, view);
	}
	
	@Override
	public ViewModelItem fetchLine(final User user) {
	
		ViewModelItem viewModelItem = super.fetchLine(user);
		viewModelItem.setValue("sample", user.getExtendedAttributes().getValue("sample"));
	
		return viewModelItem;
	}
	

}
